<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>eCommerce FrontEnd Project</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      type="text/css"
      media="screen"
      href="assets/css/bootstrap.min.css"
    />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.8.1/css/all.css"
      integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf"
      crossorigin="anonymous"
    />

    <link rel="stylesheet" href="assets/css/app.min.css" />
  </head>
  <body>
    <!-- TOP BAR -->
    <div class="container-fluid logo-bar"></div>
    <!-- TOP BAR -->
    <!-- NAV BAR -->
    <div class="container-fluid nav-container"></div>
    <!-- NAV BAR -->
    <!-- CONTENT -->
    <div class="container-fluid content"></div>
    <!-- CONTENT -->
    <!-- SLIDE -->
    <div class="slider-navigator bar"></div>
    <!-- SLIDE -->
    <!-- SPECIALS -->
    <div class="container-fluid specials-content"></div>
    <!-- SPECIALS -->
    <!-- PRODUCTS -->
    <div class="container-fluid products-div"></div>
    <!-- PRODUCTS -->
    <!-- FOOTER -->
    <div class="container-fluid footer-div"></div>
    <!-- FOOTER -->
    <!-- FOOTER'S PAGE -->
    <div class="container-fluid footer-page"></div>
    <!-- FOOTER'S PAGE -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>
    <script>
      /* LOAD PAGES */

      $(".logo-bar").load("assets/pages/logo-bar.html");
      $(".nav-container").load("assets/pages/nav-container.html");
      $(".content").load("assets/pages/content.html");
      $(".slider-navigator").load("assets/pages/slider-navigator.html");
      $(".specials-content").load("assets/pages/specials-content.html");
      $(".products-div").load("assets/pages/products-div.html");
      $(".footer-div").load("assets/pages/footer-div.html");
      $(".footer-page").load("assets/pages/footer-page.html");

      /* FUNCTION FOR CHANGE THE BAR ON SLIDE */
      let selectors = document.getElementsByClassName("slide-item");

      [...selectors].forEach(el => {
        el.addEventListener("click", e => {
          changeNodeSelected(el);
        });
      });

      const changeNodeSelected = node => {
        [...selectors].map(el => {
          if (el === node) {
            el.classList.add("active");
            return;
          }

          el.classList.remove("active");
        });
      };
    </script>
  </body>
</html>
